### Method

# Snapd Snap get_broken

since: 1.25

#### Declaration [src]

    const gchar*
    snapd_snap_get_broken (
      SnapdSnap* snap
    )

#### Description [src]

Get the reason this snap is broken.

Available since: 1.25

Gets property | `Snapd.Snap:broken`

#### Return value

Type: `const gchar*`

An error string or `NULL` if not broken.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.